﻿-- Combat Functions
local RaidBoss = {}
local RaidMembers = {}
function SN:StartFight()
	local inInstance, instanceType = IsInInstance()
	if inInstance and instanceType == "raid" or "party" then
		wipe(RaidBoss)
		wipe(RaidMembers)
		local boss = "boss"
		for i = 1, 4, 1 do
			if UnitExists(boss..i) then
				SN:Debug(UnitGUID(boss.i))
				RaidBoss[UnitGUID(boss..i)] = true
			end
		end
		for i = 1, GetNumGroupMembers(), 1 do
			RaidMembers[UnitGUID("raid"..i)] = true
		end
	end
end

--Let's see if it's a wipe
function SN:CheckForWipe()
	local wipe = true
	local uId = GetNumGroupMembers()
	if uId > 1 then
		if IsInRaid("player") then
			id = "raid"
		else
			id = "party"
		end
		for i = 1, GetNumGroupMembers() do
			if UnitAffectingCombat(id..i) and not UnitIsDeadOrGhost(id..i) then
				wipe = false
				break
			end
		end
		return wipe
	end
end
